function P=pp2P(ppl_one, ppr_one,Mi_L,Mi_R,Me)
%p prime to p for stereo images...
%It takes in 
%  two points, one in the left-camera image and the other in the right-camera image, 
%         ppl_one and ppr_one,  expressed as (col, row)^T each, 
%    Intrinsic matrices of the left and the right camera
%        Mi_L, Mi_R, expressed as 3x3 matrices assuming to operate on column vectors,
%     Extrinsic matrix of the stereo system
%        Me, expressed as 3x4 matrix, assuming to have [R, t] format 
%            with R being 3x3 orthogonal matrix, t being column vector 
%            with "world/reference" frame being the left-camera frame, 
%            (and thus t being t=\vec{O_RO_W}).
%It delivers 
%   the vector P=(X,Y,Z)^T 
% expressing 3D coordinates of the (world) point corresponding to input image 
% points, represented in the left-camera frame.


%Enter your code below so that the description above is fulfilled....If you
%need a function that makes cross product by matrix multiplication for your
%convenience, the function cross2matrix.m (in this directory) is provided. 
%It is possible also to finish this task without calling cross2matrix. 

return
